summaryrefslogtreecommitdiffstats
path: root/www/nvu/pkg-deinstall.in
diff options
context:
space:
mode:
Diffstat (limited to 'www/nvu/pkg-deinstall.in')
-rw-r--r--www/nvu/pkg-deinstall.in26
1 files changed, 26 insertions, 0 deletions
diff --git a/www/nvu/pkg-deinstall.in b/www/nvu/pkg-deinstall.in
new file mode 100644
index 000000000..ce4cc2906
--- /dev/null
+++ b/www/nvu/pkg-deinstall.in
@@ -0,0 +1,26 @@
+#!/bin/sh
+#
+# $FreeBSD$
+# $MCom$
+#
+# Date created: Mon Nov 29, 2003
+# Whom: Thierry Thomas (<thierry@pompo.net>)
+# Fix the chrome registry.
+
+umask 022
+PATH=/bin:/usr/bin
+
+[ "x$1" = "x" ] && exit 1
+[ "x$2" != "xDEINSTALL" ] && exit 0
+
+NVUDIR=%%MOZDIR%%
+
+rm -rf ${NVUDIR}/chrome/overlayinfo
+rm -f ${NVUDIR}/chrome/*.rdf
+rm -f ${NVUDIR}/component.reg
+rm -f ${NVUDIR}/components.ini
+rm -f ${NVUDIR}/defaults.ini
+rm -f ${NVUDIR}/components/*.dat
+rm -rf ${NVUDIR}/extensions
+
+exit 0